Page MenuHome

Eevee - Baking Indirect Lighting - partcle emitter + complex shader produce dark spots
Open, NormalPublic

Description

Windows-10-10.0.16299 64 Bits
GeForce GTX 1080/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 419.35

2.80 (sub 50), branch: master, commit date: 2019-03-18 21:39, hash: rBd47f827019f2

Open attached file:


Switch to rendered mode (Eevee). Press 'Bake Indirect Lighting'. You should see dark splotches appear on the wall.

The scene is a room with a window:


There's HDRI map from hdrihaven.com (CC0, 1k). It is rotated so that sun falls inside the room.
There is particle emitter set to render hair as objects:

Walls of the room have a fairly complex material with mixed procedural textures:

When Indirect lighting is baked dark spots appear. They seem to be rather random, each time the pattern is different:



Problem is gone if you remove the emitter. It also helps if you lower number of particles significantly:

Problem is gone when material on the wall is replaced with a simple shader like diffuse or principled:

Details

Type
Bug

Event Timeline

I can not reproduce this on my end (linux, amd 290x).

@Clément Foucault (fclem) can you reproduce this on a nvidia card?

I tested it also on:

Windows-10-10.0.17763 64 Bits
GeForce GTX 750 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 419.35

The results vary from zero to couple of spots. Here's a video (sped up couple of times):

Sebastian Parborg (zeddb) lowered the priority of this task from Needs Triage by Developer to Normal.
Clément Foucault (fclem) triaged this task as Needs Information from User priority.Mar 27 2019, 7:17 PM

Hopefully this is the same issue as T62997. @Marcin Twarowski (Tvaroog) please report if tomorrow's build still have the issue or if this was solved as well.

It seems to mostly fixed the problem with dark spots, although I still get occasional dark spot in my test scene:


Unfortunately T62997 is not fixed for me. That change also seem to introduced a new bug: T63041

Clément Foucault (fclem) raised the priority of this task from Needs Information from User to Normal.Mar 28 2019, 1:31 PM

So this is not fixed. You can display the content of the irradiance cache in the viewport and see if only one sample is bad. Also you can add a reflection cubemap so you maybe can see where does the black spot comes from.

It bakes clean when camera is far from the volume. But I think it gets bad if the viewport camera is inside the volume. Here you can see two bad probes:


Here's a video with probes visible. You can see how screen glitches when camera is inside the volume. After first bake there's a bad probe in the corner. After second bake you can see the same probe is now good.

With a cube map: